//------------------------------------------------------------------------------
// Testprogram Bezier Splining 3 order for polygons
//  - XII/2001 TriplexWare; Written by A.Weidauer
//------------------------------------------------------------------------------
{
@abstract(Test Program Bezier Splining 3 order for polygons.)
@author  (Alexander Weidauer alex.weidauer@huckfinn.de)
@created (December 2001)
@lastmod (December 2001)
The Unit  delivers  a smoothed bezier spline of a polygon in two
ways tangent modus and secant modus for data segments.}
Program TestBezier;
//------------------------------------------------------------------------------
{
 Permission is hereby granted, free of charge, to any person obtaining a
 copy of this software and associated documentation files (the "Software"),
 to deal in the Software without restriction, including without limitation
 the rights to use, copy, modify, merge, publish, distribute, sublicense,
 and/or sell copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included
 in all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 DEALINGS IN THE SOFTWARE.}
//------------------------------------------------------------------------------
uses
  Forms,
  UTestBezier in 'UTestBezier.pas' {MainWindow},
  UBezierSpline in 'UBezierSpline.pas',
  UXYPointList in 'UXYPointList.pas',
  UXYPoint in 'UXYPoint.pas';

//------------------------------------------------------------------------------
{$R *.RES}

Begin
  Application.Initialize;
  Application.CreateForm(TMainWindow, MainWindow);
  Application.Run;
End.

